Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 980293 - gnome-shell 3.9.2 and AMD Catalyst
Summary: gnome-shell 3.9.2 and AMD Catalyst
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 20
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-02 02:13 UTC by redhat
Modified: 2015-06-29 12:02 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 12:02:46 UTC


Attachments (Terms of Use)
glxinfo output (deleted)
2013-07-02 02:13 UTC, redhat
no flags Details

Description redhat 2013-07-02 02:13:02 UTC
Created attachment 767592 [details]
glxinfo output

Description of problem:
When using AMD Catalyst driver, the system doesn't boot up to the login screen (gdm). This is caused by gnome-shell not working.

gnome-shell's error message:
Clutter-CRITICAL **: Unable to initialize Clutter: The OpenGL version could not be determined
Window manager error: Unable to initialize Clutter.

The same driver setup works great on fedora 19 (gnome-shell 3.8), Xorg and OpenGL are both working.

Version-Release number of selected component (if applicable):
gnome-shell-3.9.2-1.fc20.x86_64
AMD Catalyst fglrx 13.101

Steps to Reproduce:
1. On System with AMD graphics card, install amd's driver (via rpm)
2. Reboot

Additional Information:
Seems like a similar bug occured with gnome-shell 3.8.2 in archlinux: https://bugs.archlinux.org/task/35310

Comment 1 Fedora End Of Life 2013-09-16 14:21:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Comment 2 Luke Macken 2013-10-11 19:07:57 UTC
I'm experiencing this issue with the latest F20 nightly.

gnome-shell-3.10.0.1-1.fc20.x86_64 
clutter-1.16.0-2.fc20.x86_64

Comment 3 Giuseppe Castagna 2013-12-20 22:45:17 UTC
Confirmed on F20 release

Comment 4 kartochka22 2014-02-04 08:34:11 UTC
Confirmed on F20 with latest 14.1 beta driver.

Comment 5 Paul DeStefano 2015-01-21 20:47:40 UTC
I assume this is still happening in F21?  I get the same error from all other Glutter apps, so I can't imaging that gnome-shell is immune.

Also, why was this removed from rawhide?  How can that happen?

Comment 6 Fedora End Of Life 2015-05-29 09:09:02 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2015-06-29 12:02:46 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.